<?php
    // File: index.php

    declare(strict_types = 1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');

    /* Carry out an action after
        *  an option is selected
        *  a button is clicked
        *  a radio button is clicked
        *  a check box is checked
        */

        /* Develop the script in logical fashion.
        *
        * 1) Set up each form's input layout without any php
        * 2) Use w3.css to style the page
        * 3) Use php (PHP_SELF) in the action attributes
        * 4) Add the php in the results section
        * 5) Add the form submission guard with the switch
        * 6) Write each of the three build functions
        */
    $formResults = '';
    $curYear = date('Y');
    $phpScript = $_SERVER['PHP_SELF'];

    function buildCapital() : string {
        return 'Capital: ' . $_POST['capital'];
    }

    function buildAcademicYear() : string {
        $expandedYear = ['Fr' => 'Freshman',
                         'So' => 'Sophomore',
                         'Jr' => 'Junior',
                         'Sr' => 'Senior'];
        return 'Academic year: ' . $expandedYear[ $_POST['academicYear'] ];
    }

    function buildInterests() : string {
        $result = '';
        foreach($_POST['interests'] as $interest) {
            $result .= $interest . '<br>';
        }
        return 'Interests:<br><br>' . $result;
    }

    if ( $_SERVER['REQUEST_METHOD'] == 'POST') {
        $submitedForm = $_POST['submitButton'];

        switch( $submitedForm ) {
            case 'capital':          $formResults = buildCapital();      break;
            case 'academicYear':     $formResults = buildAcademicYear(); break;
            case 'interests':        $formResults = buildInterests();    break;
        }
    }
?>

<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1.0">
<title>PHP <input> Interactions</title>
<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
</head>

<body>
<header class="w3-panel w3-center w3-light-grey">
<h1>PHP &lt;input&gt; Interactions Demo</h1>
</header>

<main>
<div class="w3-third">

<!------------------------------------------------------------------ 
    Form: State Capitals 
-------------------------------------------------------------------->
<form action="<?php echo $phpScript; ?>" method="POST" class="w3-container w3-border">
<p>
<select name="capital" class="w3-select">
<option value="" disabled selected>Choose a state</option>
<option value="Sacramento">California</option>
<option value="Denver">Colorado</option>
<option value="Springfied">Illinois</option>
<option value="Concord">New Hampshire</option>
</select>
</p>

<p class="w3-panel w3-top-margin">
<button  name="submitButton" value="capital"  class="w3-button w3-green w3-right">Show Capital</button>
</p>
</form>

<!------------------------------------------------------------------ 
    Form: Academic Year 
------------------------------------------------------------------->
<br>
<form action="<?php echo $phpScript; ?>" method="POST" class="w3-container w3-border">
<p class="w3-row-padding">
<label class="w3-quarter"><input type="radio" name="academicYear" value="Fr" class="w3-radio">Fr</label>
<label class="w3-quarter"><input type="radio" name="academicYear" value="So" class="w3-radio">So</label>
<label class="w3-quarter"><input type="radio" name="academicYear" value="Jr" class="w3-radio">Jr</label>
<label class="w3-quarter"><input type="radio" name="academicYear" value="Sr" class="w3-radio">Sr</label>
</p>

<p class="w3-panel w3-top-margin">
<button name="submitButton" value="academicYear" class="w3-button w3-green w3-right">Expand Academic Year</button>
</p>
</form>

<!------------------------------------------------------------------
    Form: Interests 
------------------------------------------------------------------->
<br>
<form action="<?php echo $phpScript; ?>" method="POST" class="w3-container w3-border">
<p class="w3-row-padding">
<label class="w3-quarter"><input type="checkbox" name="interests[]" value="Movies" class="w3-check">Movies</label>
<label class="w3-quarter"><input type="checkbox" name="interests[]" value="Music" class="w3-check">Music</label>
<label class="w3-quarter"><input type="checkbox" name="interests[]" value="Exercise" class="w3-check">Exercise</label>
<label class="w3-quarter"><input type="checkbox" name="interests[]" value="Travel" class="w3-check">Travel</label>
</p>

<p class="w3-panel w3-top-margin">
<button name="submitButton" value="interests" class="w3-button w3-green w3-right">Show Interests</button>
</p>
</form>
</div>

<div class="w3-third w3-panel"><h2>Results of form submission</h2><?php echo $formResults; ?></div>
</main>

<footer class="w3-container w3-center w3-text-grey w3-small">&copy; 2014-<?php echo $curYear; ?> Socratis Tornaritis.</footer>
</body>
</html>