<?php
    /*   File: inc.tableBuilder.php
     * Author: Socratis Tornaritis
     */
    $curYear = date('Y');

    function buildCourseTable(string $filename) {
        $fh = fopen($filename, 'r');
        $jsonString = fread( $fh, filesize($filename) );
        fclose($fh);

        $courses = json_decode($jsonString, true);

        echo '<table class="w3-table w3-border w3-bordered w3-striped w3-hoverable">';

        echo tableHeader($courses[0]);

        echo tableRows($courses);

        echo "</table>";
    }

    function tableHeader(array $course) : string {
        $header = '<thead><tr class="w3-red">';
        foreach($course as $col => $value) {
            $header .= "<th>" . ucfirst($col). "</th>";
        }
        $header .= "</tr></thead>";

        return $header;
    }

    function tableRows(array $courses) : string {
        $rows = '';
        $courseCount = count($courses);

        for ($courseIndex = 0; $courseIndex < $courseCount; $courseIndex++) {
            $rows .= "<tr>";
            foreach($courses[$courseIndex] as $col => $value) {
                $rows .= "<td>$value</td>";
            }
            $rows .= "</tr>";
        }
        return $rows;
    }
     
?>