<?php
    /*   File: inc.tableBuilder.php
     * Author: Socratis Tornaritis
     */
    declare(strict_types=1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');

    function buildMonthCalendar(string $monthfile) {
        // Open the file and read all the contents into a string variable.
        $fh = fopen($monthfile, 'r');
        $jsonString = fread($fh, filesize($monthfile));
        fclose($fh);

        // Let's see what month we are dealing with.
        $curMonthObject = json_decode($jsonString);

        $monthName = $curMonthObject->monthName;
        $firstDayOffset = $curMonthObject->firstDayOffset;
        $daysInMonth = $curMonthObject->daysInMonth;
        $prevMonthDays = $curMonthObject->prevMonthDays;
        $specialDays = $curMonthObject->specialDays;

        $tdClassThisMonth = 'w3-border w3-right-align w3-text-grey w3-small';
        $tdStyle='width:5rem; height:6rem';
        $tdClassOtherMonth = $tdClassThisMonth . ' w3-light-grey w3-text-grey';

        echo "
            <table class='w3-table w3-border w3-bordered'>
            <caption class='w3-padding-16 w3-red w3-margin-bottom w3-xlarge'>$monthName</caption>
            <thead>
            <tr class='w3-red'>
                <th class='w3-border w3-right-align'>S</th>
                <th class='w3-border w3-right-align'>M</th>
                <th class='w3-border w3-right-align'>T</th>
                <th class='w3-border w3-right-align'>W</th>
                <th class='w3-border w3-right-align'>T</th>
                <th class='w3-border w3-right-align'>F</th>
                <th class='w3-border w3-right-align'>S</th>
            </tr>
            </head>
            <tbody>
            ";

            $weekCount = 1 + (int)(($daysInMonth + $firstDayOffset) / 7);

            $curDay = 1;

            // Display the first week; this may include days from the previous month.
            echo "<tr>";
            for ($dayOffset = 0; $dayOffset <= 6; $dayOffset++) {
                $firstWeekDay = ($dayOffset < $firstDayOffset)? $prevMonthDays[$dayOffset] : $curDay++;
                $tdClass = ($dayOffset < $firstDayOffset)? $tdClassOtherMonth : $tdClassThisMonth;

                echo "<td class='$tdClass' style='$tdStyle'>$firstWeekDay</td>";
            }
            echo "</tr>";

            // Now display the rest of the weeks, except the last one.
            for ($week = 2; $week < $weekCount; $week++) {
                echo "<tr>";
                
                for ($dayOffset = 0; $dayOffset <= 6; $dayOffset++) {
                    $specialDay = '';
                    if ( isset($specialDays->$curDay) ) { $specialDay = $specialDays->$curDay; } 

                    echo "<td class='$tdClassThisMonth' style='$tdStyle'>$curDay<br>$specialDay</td>";
                    $curDay += 1;
                }
                echo "</tr>";
            }

            // And finally the last row; this may include days from the next month.
            echo "<tr>";
            for ($dayOffset = 0; $dayOffset <= 6; $dayOffset++) {
                $tdClass = ($curDay <= $daysInMonth)? $tdClassThisMonth : $tdClassOtherMonth;
                $lastWeekDay = ($curDay <= $daysInMonth)? $curDay++ : ($curDay++) - $daysInMonth;
                echo "<td class='$tdClass' style='$tdStyle'>$lastWeekDay</td>";
            }
            echo "</tr>";

        echo "
            </tbody>
            </table>";
    }
?>