<?php
    // File: function.php
    // Demonstrates the use of functions.
    declare(strict_types = 1);
    $curYear = date('Y');

    // The expected types are listed in the parameter list as
    // annotations.
    function displayWelcomeMessage(string $msg = 'Welcome') {
        echo $msg;
    }

    function add(int $val1, int $val2) {
        return $val1 + $val2;
    }

    function changeValue() {
        // PHP allows nesting of functions.
        $val = 1;
        function incrementValue(int &$val, int $byIncrement) {
            $val += $byIncrement;
        }

        echo "\$val before call: $val<br>";
        incrementValue($val, 2);
        echo "\$val after call: $val<br>";
    }

    function sumAll(int ...$numbers) {
        // A variable parameter stores the values in an array.
        $sum = 0;
        foreach($numbers as $num) {
            $sum += $num;
        }
        return $sum;
    }
?>

<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1.0">
        <title>PHP Functions</title>
        <link href="https://www.w3schools.com/w3css/4/w3.css" rel="stylesheet">
    </head>

    <body id="value">
            <main id="value" class="w3-panel">
                <p><?php displayWelcomeMessage('Hello World!'); ?></p>
                <p><?php echo "1 + 2 = " . add(1, 2); ?></p>
                <p><?php changeValue(); ?></p>
                <p><?php echo sumAll(1, 2, 3, 4, 5); ?></p>
            </main>

            <footer class="w3-panel w3-center w3-text-gray w3-small">
                &copy; <?php echo $curYear; ?> Socratis Tornaritis.
            </footer>
    </body>
</html>