<?php
    // File: index.php
    // Demonstrates how to process a basic form with non-sticky input fields.
    // Note: put all this PHP code into a script, e.g. inc.form-nonsticky.php
    // and include it here.
    declare(strict_types = 1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');

    function sanitizeInput($value) {
        return htmlspecialchars( stripslashes( trim( $value) ) );
    }
    
    $curYear = date('Y');
    $phpScript = sanitizeInput($_SERVER['PHP_SELF']);

    // Initialize processing variables to empty strings. These are the values
    // displayed when the form is GET requested.
    $radio = '';

    // Process the form.
    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        // Was the form filled in ?
        if ( isset($_POST['radio']) ) {
            // extract all values.
            $radio = sanitizeInput($_POST['radio']);

        } else {
            $radio = "Error-Click an option";
        }
    }
?>


<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Non-Sticky Form</title>
        <link href="https://www.w3schools.com/w3css/4/w3.css" rel="stylesheet">
    </head>

    <body id="index_page">
            <main id="content" class="w3-panel">
                <aside>
                    <p>Radio choice: <?php echo $radio; ?></p>
                </aside>
                
                <form action="<?php echo $phpScript; ?>" method="POST">
                    <!-- Radio Buttons -->
                    <p>
                        <input type="radio" name="radio" value="radio1"> radio 1
                        <input type="radio" name="radio" value="radio2"> radio 2
                    </p>

                    <!-- Submit button -->
                    <button>Submit Form</button>
                </form>
            </main>

            <footer class="w3-panel w3-center w3-text-gray w3-small">
                &copy; <?php echo $curYear; ?> Socratis Tornaritis
            </footer>
    </body>
</html>