<?php
    // File: index.php
    // Demonstrates how to process a basic form with non-sticky input fields.
    // Note: put all this PHP code into a script, e.g. inc.form-nonsticky.php
    // and include it here.
    declare(strict_types = 1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');

    function sanitizeInput($value) {
        return htmlspecialchars( stripslashes( trim( $value) ) );
    }
    
    function selectedStatus(string $selection, string $value) {
        // If selected option matches given value, return 'selected'
        // else return ''.
        return $selection === $value? 'selected' : '';
    }


    $curYear = date('Y');
    $phpScript = sanitizeInput($_SERVER['PHP_SELF']);

    // Initialize processing variables to empty strings. These are the values
    // displayed when the form is GET requested.
    $selection = '';

    // Process the form.
    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        // Was the form filled in ?
        if ( isset($_POST['selection']) ) {
            // extract all values.
            $selection = sanitizeInput($_POST['selection']);

        } else {
            $selection = "Error-Select an option";
        }
    }
?>


<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Non-Sticky Form</title>
        <link href="https://www.w3schools.com/w3css/4/w3.css" rel="stylesheet">
    </head>

    <body id="index_page">
            <main id="content" class="w3-panel">
                <aside>
                    <p>Selection choice: <?php echo $selection; ?></p>
                   </aside>
                
                <form action="<?php echo $phpScript; ?>" method="POST">
                    <!-- Selection -->
                    <p><select name="selection">
                        <option selected disabled>Make a selection</option>
                        <option value="o1" <?php echo selectedStatus($selection, 'o1'); ?>>Option 1</option>
                        <option value="o2" <?php echo selectedStatus($selection, 'o2'); ?>>Option 2</option>
                        <option value="o3" <?php echo selectedStatus($selection, 'o3'); ?>>Option 3</option>
                    </select></p>

                    <!-- Submit button -->
                    <button>Submit Form</button>
                </form>
            </main>

            <footer class="w3-panel w3-center w3-text-gray w3-small">
                &copy; <?php echo $curYear; ?> Socratis Tornaritis
            </footer>
    </body>
</html>