<?php
    /*   File: index.php
     * Author: Socratis Tornaritis
     */
    declare(strict_types = 1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');

    function readJSON(string $filename): string {
        $fh = fopen($filename, 'r');
        $jsonString = fread( $fh, filesize($filename) );
        fclose($fh);
        return $jsonString;
    }

    function displayDeconstructed(array $arrayPHP) {
        $count = count($arrayPHP);
        echo "Array count: $count<br>";

        // Display array elements as JSON objects.
        foreach($arrayPHP as $index => $course) {
            $objectJSON = json_encode($course);

            echo "[$index] Course object: $objectJSON<br>";
        }

        echo "<br>Array count: $count";
        // Display array as elements.
        foreach($arrayPHP as $index => $course) {
            echo "<br>[$index] {$course['number']}-{$course['title']}, instructor: {$course['instructor']}";
        }
    }

    // Read the array of course objects from the file.
    $arrayJSON = readJSON('data/courses.json');

    // Decode the JSON string into a PHP associative array.
    $arrayPHP = json_decode($arrayJSON, true);
?>

<!-- Simplified for brevity -->
<!DOCTYPE html>
<title>JSON Array</title>
<h1>JSON Array Deconstructed</h1>

<h2>As a JSON string</h2>
<p><?php echo $arrayJSON; ?></p>

<h2>As a PHP Associative array</h2>
<p><?php print_r($arrayPHP); ?></p>

<h2>As a deconstructed array</h2>
<p><?php displayDeconstructed($arrayPHP); ?></p>

