<?php
    /*   File: index.php
     * Author: Socratis Tornaritis
     */

    declare(strict_type=1);
     error_reporting(E_ALL);
     ini_set('display_errors', 1);

     function readJSON(string $filename): string {
        $fh = fopen($filename, 'r');
        $jsonString = fread( $fh, filesize($filename) );
        fclose($fh);
        return $jsonString;
    }

    function displayDeconstructed(array $objectPHP) {
        $count = count($objectPHP);
        echo "Key count: $count<br>";

        // Display array elements as key/value pairs.
        foreach($objectPHP as $key => $value) {
            $valueJSON = json_encode($value);
            echo "$key = $valueJSON<br>";
        }

        echo "<br>Key count: $count<br>";
        // Display array elements as further deconstructed key/value pairs.
        foreach($objectPHP as $key => $value) {
            if ( $key === 'specialDays') {
                echo "$key:<br>";
                // specialDays is an array of arrays.
                foreach($value as $index => $event) {
                    foreach($event as $day => $event) {
                        echo "&nbsp;&nbsp;[$day]-$event<br>";
                    }
                }
            } else {
                echo "$key = $value<br>";
            }
        }
    }

    // Read the array of course objects from the file.
    $objectJSON = readJSON('data/month.json');

    // Decode the JSON string into a PHP associative array.
    $objectPHP = json_decode($objectJSON, true);

?>

<!-- Simplified for brevity. -->
<!DOCTYPE html>
<title>JSON Object</title>

<h1>JSON Object Deconstructed</h1>

<h2>As a JSON string</h2>
<?php echo $objectJSON; ?>

<h2>As a PHP Associative array</h2>
<?php print_r($objectPHP); ?>

<h2>As a deconstructed object</h2>
<?php displayDeconstructed($objectPHP); ?>

