<!-- File: form-basic.php
   Author: Socratis Tornaritis 
    
    Note: This final version validates/sanitizes and remembers.
-->

<!DOCTYPE html>
<html>
    <head>
        <title>Form Basics Demo</title>
        <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="https://www.w3schools.com/w3css/4/w3.css" rel="stylesheet">
    </head>

    <body class="w3-container w3-margin-left">
        <form action="form-basic-handler.php" method="POST">
            <h1>A Basic Form</h1>

            <!-- The 'required' parameter is a simple client-side validation.
                 The 'value' attribute make this field sticky.
                 The 'span' reflects the empty status of the field. -->
            <p>
                <input name="fname" placeholder="First name" value="<?php echo $fname; ?>" required>
                <span class="<?php echo $fnameClass? $fnameClass : 'w3-text-red'; ?>"> *</span>
            </p>
            <p>
                <input name="lname" placeholder="Last name" value="<?php echo $lname; ?>" required>
                <span class="<?php echo $lnameClass? $lnameClass : 'w3-text-red'; ?>"> *</span>
            </p>

            <p>
                <label>Year in school:</label>
                <select name="yearInSchool">
                    <option value="Fr" <?php echo ($yearInSchool == "Fr")? 'selected' : ''; ?>>Freshman</option>
                    <option value="So" <?php echo ($yearInSchool == "So")? 'selected' : ''; ?>>Sophomore</option>
                    <option value="Jr" <?php echo ($yearInSchool == "Jr")? 'selected' : ''; ?>>Junior</option>
                    <option value="Sr" <?php echo ($yearInSchool == "Sr")? 'selected' : ''; ?>>Senior</option>
                </select>
                <span class="<?php echo $yearInSchoolClass? $yearInSchoolClass : 'w3-text-red'; ?>"> *</span>
            </p>
            <p>
                <label>CS program:</label>
                <span class="<?php echo $csProgramClass? $csProgramClass : 'w3-text-red'; ?>"> *</span>
                <br><input type="radio" name="csProgram" value="BS" <?php echo ($csProgram == "BS")? 'checked' : ''; ?>> BS
                <br><input type="radio" name="csProgram" value="BA" <?php echo ($csProgram == "BA")? 'checked' : ''; ?>> BA
            </p>
            <p>
                <label>Clubs:</label>
                <br><input type="checkbox" name="clubs[]" value="CAOS" <?php echo ( isset($_POST['clubs']) && in_array('CAOS', $_POST['clubs']) )? 'checked' : ''; ?>> CAOS
                <br><input type="checkbox" name="clubs[]" value="ARC" <?php echo ( isset($_POST['clubs']) && in_array('ARC', $_POST['clubs']) )? 'checked' : ''; ?>> ARC
                <br><input type="checkbox" name="clubs[]" value="WICSCE" <?php echo ( isset($_POST['clubs']) && in_array('WICSCE', $_POST['clubs']) )? 'checked' : ''; ?>> WICSCE
            </p>
            <p><button name="submit">Submit</button><p>
        </form>

        <footer>Copyright &copy;  2018 Socratis Tornaritis. All rights reserved.</footer>
    </body>
</html>

