<?php
    // File: transcriptList.php

    declare(strict_types = 1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');

    include 'inc.header.php';

    function transcriptList(PDOStatement $pdoStatement) {
        // Build the html with a table of student records.
        $table = '
            <table class="w3-table-all w3-hoverable w3-margin-top">
                <tr class="w3-red">
                    <th>Term</th>
                    <th>Course</th>
                    <th>Student</th>
                    <th>Grade</th>
                </tr>
        ';

        // Fetch each row as an associative array
        while ( $row = $pdoStatement->fetch(PDO::FETCH_ASSOC) ) {
            $term = $row['term'];
            $course = $row['course$id'];
            $student = $row['student$id'];
            $grade = $row['grade'];

            $table .= "
                <tr>
                <td>$term</td>
                <td>$course</td>
                <td>$student</td>
                <td>$grade</td>
                </tr>
            ";
        }

        $table .= "</table>";
        return $table;
    }// end transcriptList()
    

    
    try {
        // Include the db connection script
        require 'inc.db.php';

        // Connect to the db.
        $pdo = new PDO(DSN, USER, PWD);

        // Configure error handling
        $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        // Create the query
        $sql = '
            SELECT term, course$id, student$id, grade
            FROM transcript
            ORDER BY term, course$id, student$id
        ';

        // Execute the query.
        $pdoStatement = $pdo->query($sql);
    
        // Display the records in a table.
        echo transcriptList($pdoStatement);
        $pdo = null;

    } catch(PDOException $e) {
        die ($e->getMessage() );
    }

    include 'inc.footer.php';
?>

