<?php
    declare(strict_types = 1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');

    function listManufacturers(PDO $pdo) {
        $sql = '
            SELECT id, name, yearEstablished
            FROM manufacturers
            ORDER BY yearEstablished
        ';

        echo "id, name, yearEstablished<br>";

        // Fetch each record as an associative array (FETCH_ASSOC).
        foreach($pdo->query($sql, PDO::FETCH_ASSOC) as $manufacturer) {
            echo "{$manufacturer['id']}, {$manufacturer['name']}, {$manufacturer['yearEstablished']}<br>";
        }
    }

    function listModels(PDO $pdo) {
        $sql = 'SELECT * FROM models ORDER BY yearIntroduced';

        $stm = $pdo->query($sql);
        $stm->setFetchMode(PDO::FETCH_ASSOC);
        echo "id, manufacturer\$id, name, yearIntroduced, isInProduction<br>";
        foreach($stm as $model) {
            echo "
            {$model['id']}, 
            {$model['manufacturer$id']}, 
            {$model['name']}, 
            {$model['yearIntroduced']}, 
            {$model['isInProduction']}<br>
            ";
        }
    }

    function listJoinModels(PDO $pdo) {
        $sql = '
        SELECT mo.id, ma.name AS manufacturer, mo.name, mo.yearIntroduced, mo.isInProduction
        FROM manufacturers AS ma, models AS mo
        WHERE ma.id = mo.manufacturer$id
        ORDER BY mo.yearIntroduced
        ';

        $stm = $pdo->query($sql);
        $stm->setFetchMode(PDO::FETCH_ASSOC);
        echo "id, manufacturer, name, yearIntroduced, isInProduction<br>";
        foreach($stm as $model) {
            echo "
            {$model['id']}, 
            {$model['manufacturer']}, 
            {$model['name']}, 
            {$model['yearIntroduced']}, 
            {$model['isInProduction']}<br>
            ";
        }
    }



    try {
        $dsn = 'mysql:host=localhost;dbname=vehicle';
        $pdo = new PDO($dsn, 'root', 'root');
        $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        echo "<h1>Accessing 'manufacturers' table</h1>";
        listManufacturers($pdo);
        echo "<h1>Accessing 'models' table</h1>";
        listModels($pdo);
        echo "<h1>Accessing 'manufacturers' and 'models' tables</h1>";
        listJoinModels($pdo);

        $pdo = null;
    } catch(PDOException $e) {
        die ($e->getMessage());
    }
?>

<html>
    <title>Two-table JOIN</title>
</html>