<?php
    // File: addStudentForm.php
    declare(strict_types = 1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');


    $sid = $fname = $lname = $email = $formError = '';
    $phpScript = sanitizeInput($_SERVER['PHP_SELF']);


    function sanitizeInput($value) {
        return trim( stripslashes( htmlspecialchars($value) ) );
    }// end sanitizeInput()


    function saveStudentRecord($sid, $first, $last, $email) {
        try {
            require_once 'inc.db.php';

            // Connect to the database
            $pdo = new PDO(DSN, USER, PWD);
            
            // Configure error handling
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            
            // Create the query
            $sql = "
                INSERT INTO student
                  (sid, first, last, email)
                VALUES 
                  ($sid, '$first', '$last', '$email')
            ";

            // Execute the query.
            $result = $pdo->exec($sql);

            // Disconnect from the db.
            $pdo = null;
            return true;

        } catch (PDOException $e) {
           return false;
        }
    }// end saveStudentRecord()

    if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {
        
        // Get the form field values. Trim and sanitize them first.
        $sid = sanitizeInput($_POST['sid']);
        $fname = sanitizeInput($_POST['fname']);
        $lname = sanitizeInput($_POST['lname']);
        $email  = sanitizeInput($_POST['email']);

        $isSidEmpty = empty($sid);
        $isFnameEmpty = empty($fname);
        $isLnameEmpty = empty($lname);
        $isEmailEmpty = empty($email);

        $hasFormEmptyFields =  $isSidEmpty || $isFnameEmpty || $isLnameEmpty || $isEmailEmpty;

        if ( !$hasFormEmptyFields ) {
            // Update the database with the new student record
            if ( saveStudentRecord($sid, $fname, $lname, $email) ) {
                // Show confirmation message
                header('Location: addConfirm.php?record=student');

            } else {
                $formError = "Oops, saving error occurred.";
            }

        } else {
            $formError = "Please fill out all the fields";
        }
    }
?>

<?php include 'inc.header.php'; ?>

<div class="w3-card w3-light-grey">
<header class="w3-container w3-red w3-margin-top">
    <h1>Add Student Form</h1>
</header>

<form action="<?php echo $phpScript; ?>" method="POST" class="w3-container">
    <p> <!-- sid -->
        <label for="sid" class="w3-text-grey">SID</label>
        <span class="w3-text-red"> *</span>
        <input id="sid" class="w3-input w3-border" accesskey="S"
               name="sid" placeholder="sid" required
               value="<?php echo $sid; ?>"></p>
    <p> <!-- first -->
        <label for="fname" class="w3-text-grey">First</label>
        <span class="w3-text-red"> *</span>
        <input id="fname" class="w3-input w3-border" accesskey="F"
               name="fname" placeholder="First name" required
               value="<?php echo $fname; ?>"></p>
    <p> <!-- last -->
        <label for="lname" class="w3-text-grey">Last</label>
        <span class="w3-text-red"> *</span>
        <input id="lname" class="w3-input w3-border" accesskey="L"
               name="lname" placeholder="Last name" required
               value="<?php echo $lname; ?>"></p>
    <p> <!-- email -->
        <label for="email" class="w3-text-grey">Email</label>
        <span class="w3-text-red"> *</span>
        <input id="email" class="w3-input w3-border" accesskey="E"
               name="email" placeholder="Email" required
               value="<?php echo $email; ?>"></p>
    <p> <!-- Save -->
        <button name="submit" class="w3-btn w3-red">Save</button> 
        <span class="w3-text-red"><?php echo $formError; ?></span>
    <p>
</form>

<?php include 'inc.footer.php'; ?>