<?php
    // File: listCourseForm.php

    declare(strict_types=1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');

    $number = $title = $hours = '';
    $currentStudentIndex = sanitizeInput($_GET['rec']);
    $phpScript = sanitizeInput($_SERVER['PHP_SELF']);

    // Load the students from the DB each time. Ouch!
    $courses = loadCourseRecords();

    $recCount = count($courses);
    $nextStudentIndex = ($currentStudentIndex + 1) % $recCount;
    $previousStudentIndex = ($currentStudentIndex - 1 + $recCount) % $recCount;

    $firstRecRef = "$phpScript?rec=0";
    $prevtRecRef = "$phpScript?rec=$previousStudentIndex";
    $nextRecRef = "$phpScript?rec=$nextStudentIndex";
    $lastRecRef = "$phpScript?rec=" . ($recCount-1);

    prepareCourseRecord($currentStudentIndex, $courses);

    
    function sanitizeInput($data) {
        return htmlspecialchars( stripslashes( trim($data) ) );
    }// end sanitizeInput()


    function loadCourseRecords() {
        
        try {
            require 'inc.db.php';

            // Connect to the database
            $pdo = new PDO(DSN, USER, PWD);
            
            // Configure error handling
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            
            // Create the queries
            $sql = '
                SELECT id, number, title, hours
                FROM course
                ORDER BY number
            ';
            
            // Execute the query.
            $pdoStatement = $pdo->query($sql);
            $pdo = null;
            
            return $pdoStatement->fetchAll();
            
        } catch (PDOException $e) {
            die ( $e->getMessage() );
        }
    }// end loadCourseReords()


    function prepareCourseRecord($currentStudentIndex, $courses) {
        $GLOBALS['recId'] = $courses[$currentStudentIndex]['id'];
        $GLOBALS['number'] = $courses[$currentStudentIndex]['number'];
        $GLOBALS['title'] = $courses[$currentStudentIndex]['title'];
        $GLOBALS['hours'] = $courses[$currentStudentIndex]['hours'];
    }// end prepareCourseRecord()
?>

<?php include 'inc.header.php'; ?>

<div class="w3-card w3-light-grey">
<header class="w3-container w3-red w3-margin-top">
    <h1>List Course Form</h1>
</header>

<div class="w3-container">
    <p> <!-- sid -->
        <label class="w3-text-grey">Number</label>
        <input class="w3-input w3-border" accesskey="N" readonly value="<?php echo $number; ?>">
    </p>
    <p> <!-- first -->
        <label class="w3-text-grey">Title</label>
        <input class="w3-input w3-border" accesskey="T" readonly value="<?php echo $title; ?>">
    </p>
    <p> <!-- last -->
        <label class="w3-text-grey">Hours</label>
        <input class="w3-input w3-border" accesskey="H" readonly value="<?php echo $hours; ?>">
    </p>
</div>

<div class="w3-container w3-center">
    <p>
    <!-- Navigation buttons -->
    <a href="<?php echo $firstRecRef; ?>" class="w3-button w3-red">|&lt;</a>
    <a href="<?php echo $prevtRecRef; ?>" class="w3-button w3-red">&lt;&lt;</a>
    <a href="<?php echo $nextRecRef; ?>" class="w3-button w3-red">&gt;&gt;</a>
    <a href="<?php echo $lastRecRef; ?>" class="w3-button w3-red">&gt;|</a>

    <!-- Edit buttons -->
    <a href="<?php echo "deleteCourse.php?id=$recId"; ?>" 
       class="w3-button w3-red w3-right"> Delete</a>
    <a href="<?php echo "updateCourseForm.php?id=$recId"; ?>" 
       class="w3-button w3-green w3-right w3-margin-right"> Update</a>
    </p> 
</div>
</div>

<?php include 'inc.footer.php'; ?>