<?php
    // File: listTranscriptForm.php

    declare(strict_types=1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');

    $recId = $studentId = $courseId = $term = $grade = '';

    $currentTranscriptIndex = sanitizeInput($_GET['rec']);
    $phpScript = sanitizeInput($_SERVER['PHP_SELF']);

    // Load the students from the DB each time. Ouch!
    $transcripts = loadTranscriptRecords();

    $recCount = count($transcripts);
    $previousTranscriptIndex = ($currentTranscriptIndex - 1 + $recCount) % $recCount;
    $nextTranscriptIndex = ($currentTranscriptIndex + 1) % $recCount;

    $firstRecRef = "$phpScript?rec=0";
    $prevtRecRef = "$phpScript?rec=$previousTranscriptIndex";
    $nextRecRef = "$phpScript?rec=$nextTranscriptIndex";
    $lastRecRef = "$phpScript?rec=" . ($recCount-1);

   prepareTranscriptRecord($currentTranscriptIndex, $transcripts);

    function sanitizeInput($data) {
        return htmlspecialchars( stripslashes( trim($data) ) );
    }// end sanitizeInput()


    function loadTranscriptRecords() {
        try {
            require 'inc.db.php';
            
            // Connect to the database
            $pdo = new PDO(DSN, USER, PWD);
            
            // Configure error handling
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            
            // Create the queries
            $sql = '
                SELECT id, student$id AS studentId, course$id AS courseId, term, grade
                FROM transcript
                ORDER BY studentId
            ';
            
            // Execute the query.
            $pdoStatement = $pdo->query($sql);
            $pdo = null;
            
            return $pdoStatement->fetchAll();
            
        } catch (PDOException $e) {
            die ( $e->getMessage() );
        }
    }// end loadTranscriptReords()


    function prepareTranscriptRecord($currentTranscriptIndex, $transcripts) {
        $GLOBALS['recId'] = $transcripts[$currentTranscriptIndex]['id'];
        $GLOBALS['studentId'] = $transcripts[$currentTranscriptIndex]['studentId'];
        $GLOBALS['courseId'] = $transcripts[$currentTranscriptIndex]['courseId'];
        $GLOBALS['term'] = $transcripts[$currentTranscriptIndex]['term'];
        $GLOBALS['grade'] = $transcripts[$currentTranscriptIndex]['grade'];
    }// end prepareTranscriptRecord()

?>

<?php include 'inc.header.php'; ?>

<div class="w3-card w3-light-grey">
    <header class="w3-container w3-red w3-margin-top">
        <h1>List Transcript Form</h1>
    </header>

    <div class="w3-container">
        <p> <!-- sid -->
            <label class="w3-text-grey">Studend (id)</label>
            <input class="w3-input w3-border" accesskey="S" readonly value="<?php echo $studentId; ?>">
        </p>
        <p> <!-- first -->
            <label class="w3-text-grey">Course (id)</label>
            <input class="w3-input w3-border" accesskey="C" readonly value="<?php echo $courseId; ?>">
        </p>
        <p> <!-- last -->
            <label class="w3-text-grey">Term</label>
            <input class="w3-input w3-border" accesskey="T" readonly value="<?php echo $term; ?>">
        </p>
        <p> <!-- email -->
            <label class="w3-text-grey">Grade</label>
            <input class="w3-input w3-border" accesskey="G" readonly value="<?php echo $grade; ?>">
        </p>
    </div>

    <div class="w3-container w3-center">
        <p>
        <!-- Navigation buttons -->
        <a href="<?php echo $firstRecRef; ?>" class="w3-button w3-red">|&lt;</a>
        <a href="<?php echo $prevtRecRef; ?>" class="w3-button w3-red">&lt;&lt;</a>
        <a href="<?php echo $nextRecRef; ?>" class="w3-button w3-red">&gt;&gt;</a>
        <a href="<?php echo $lastRecRef; ?>" class="w3-button w3-red">&gt;|</a>

        <!-- Edit buttons -->
        <a href="<?php echo "deleteTranscript.php?id=$recId"; ?>" 
          class="w3-button w3-red w3-right"> Delete</a>
        <a href="<?php echo "updateTranscriptForm.php?id=$recId"; ?>" 
           class="w3-button w3-green w3-right w3-margin-right"> Update</a>
        </p> 
    </div>
</div>

<?php include 'inc.footer.php'; ?>