<?php
    // File: updateStudentForm.php
    declare(strict_types=1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');

    $sid = $fname = $lname = $email = $formError = '';
    $phpScript = sanitizeInput($_SERVER['PHP_SELF']);

    function sanitizeInput($data) {
        return htmlspecialchars( stripslashes( trim( $data) ) );
    }// end sanitizeInput()
    

    function loadStudentRecord($id) {
        try {
            require 'inc.db.php';

            // Connect to the database
            $pdo = new PDO(DSN, USER, PWD);
            
            // Configure error handling
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            
            // Create the query
            $sql = 'SELECT id, sid, first, last, email ' .
                   'FROM student ' .
                   "WHERE id=$id";
            
            // Execute the query.
            $pdoStatement = $pdo->query($sql);
            $pdo = null;
            
            return $pdoStatement->fetch();
            
        } catch (PDOException $e) {
            die ( $e->getMessage() );
        }
    }// end loadStudentRecords()

    function saveStudentRecord($id, $sid, $fname, $lname, $email) {
        try {
            require 'inc.db.php';

            // Connect to the database
            $pdo = new PDO(DSN, USER, PWD);
            
            // Configure error handling
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            
            // Create the query
            $sql = "
                UPDATE student 
                SET sid=$sid,
                    first='$fname',
                    last='$lname', 
                    email='$email'
                WHERE id=$id
            ";
            
            // Execute the query.
            $result = $pdo->exec($sql);
            $pdo = null;
            
            return $result;

        } catch (PDOException $e) {
            die ( $e->getMessage() );
        }
    }// end saveStudentRecord()

    /* ----------------------------------------------------------------------------------------- */
    if ( $_SERVER['REQUEST_METHOD'] == 'GET' ) {
        
        $id = sanitizeInput($_GET['id']);
        $record = loadStudentRecord($id);

        $sid = $record['sid'];
        $fname = $record['first'];
        $lname = $record['last'];
        $email = $record['email'];

    } else {
        
        // Get the form field values. Trim and sanitize them first.
        $id = sanitizeInput($_POST['submit']);
        $sid = sanitizeInput($_POST['sid']);
        $fname = sanitizeInput($_POST['fname']);
        $lname = sanitizeInput($_POST['lname']);
        $email  = sanitizeInput($_POST['email']);

        if ( $id == 0 ) {
            // Update is being canceled.
            header("Location: listStudentForm.php?rec=0");

        } else {
            // Updates are being saved.
            $isSidEmpty = empty($sid);
            $isFnameEmpty = empty($fname);
            $isLnameEmpty = empty($lname);
            $isEmailEmpty = empty($email);

            $hasFormEmptyFields =  $isSidEmpty || $isFnameEmpty || $isLnameEmpty || $isEmailEmpty;
            
            if ( !$hasFormEmptyFields ) {
                // First, we must save the changes to the DB.
                saveStudentRecord($id, $sid, $fname, $lname, $email);
                header("Location: editConfirm.php?record=student&recId=$id&editMode=update");
                
            } else {
                $formError = "Please fill out all the fields";
            }
        }
    } 
?>

<?php include 'inc.header.php'; ?>


<div class="w3-card w3-light-grey">
    <header class="w3-container w3-red w3-margin-top">
        <h1>Update Student Form</h1>
    </header>

    <form action="<?php echo $phpScript; ?>" method="POST">
        <div class="w3-container">
            <p> <!-- sid -->
                <label for="sid" class="w3-text-grey">SID</label>
                <span class="w3-text-red"> *</span>
                <input id="sid" class="w3-input w3-border" accesskey="S" name="sid" placeholder="sid" value="<?php echo $sid; ?>" required>
            </p>
            <p> <!-- first -->
                <label for="fname" class="w3-text-grey">First</label>
                <span class="w3-text-red"> *</span>
                <input id="fname" class="w3-input w3-border" accesskey="F" name="fname" placeholder="First name" value="<?php echo $fname; ?>" required>
            </p>
            <p> <!-- last -->
                <label for="lname" class="w3-text-grey">Last</label>
                <span class="w3-text-red"> *</span>
                <input id="lname" class="w3-input w3-border" accesskey="L" name="lname" placeholder="Last name" value="<?php echo $lname; ?>" required>
            </p>
            <p> <!-- email -->
                <label for="email" class="w3-text-grey">Email</label>
                <span class="w3-text-red"> *</span>
                <input id="email" class="w3-input w3-border" accesskey="E" name="email" placeholder="Email" value="<?php echo $email; ?>" required>
            </p>
        </div>

        <!-- Edit buttons -->
        <div class="w3-container w3-center">
            <p>
                <button name="submit" value=<?php echo $id; ?> class="w3-button w3-green">Save</button>
                <button name="submit" value=0 class="w3-button w3-red">Cancel</button>
            </p> 
        </div>
    </form>
</div>

<?php include 'inc.footer.php'; ?>