<?php
    // File: index.php
    /* Demonstrates the updating of an instructor record
     * from the uni database.
    */

    declare(strict_types = 1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');

    function sanitizeInput($value) {
        return htmlspecialchars( stripslashes( trim( $value) ) );
    }

    function getPDO(): PDO {
        return new PDO('mysql:host=localhost;dbname=uni', 'root', 'root');
    }

    function displayInstructors(PDO $pdo) {
        $sql = "
        SELECT id, name
        FROM instructor
        ";

        echo "<h1>Current instructors</h1>";
        foreach($pdo->query($sql, PDO::FETCH_ASSOC) as $instructor) {
            echo "
            {$instructor['id']}, {$instructor['name']}<br>
            ";
        }
    }


    function updateInstructor(PDO $pdo, string $curName, string $newName) {
        $sql = "
        UPDATE instructor
        SET name = '$newName'
        WHERE name = '$curName'
        ";
        $status = $pdo->exec($sql);
        echo "Update instructor status: $status record(s) updated.<br>";
    }

    $phpScript = sanitizeInput($_SERVER['PHP_SELF']);


    // List all current instructors
    $pdo = getPDO() or die("Server error.");
    
    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        try {
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            
            // Update the instructor.
            $curName = sanitizeInput($_POST['curName']);
            $newName = sanitizeInput($_POST['newName']);
            
            updateInstructor($pdo, $curName, $newName);
            
        } catch(PDOEXCEPTION $e) {
            // For debugging purposes reveal the message.
            die( $e->getMessage() );
        }
    }
    displayInstructors($pdo);
    $pdo = null;
?>

<!-- Simplified for brevity only -->
<h1>Update Instructor Form</h1>
<form action="<?php echo $phpScript; ?>" method="POST">
    Change <input name="curName" placeholder = "Current instructor name" autofocus> 
    to <input name="newName" placeholder = "New instructor name"> 
    <button>Update</button>
</form>