<?php
    // File: createAccount.php

    declare(strict_types = 1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');
    
    function sanitizeInput($value) {
        return htmlspecialchars( stripslashes( trim( $value ) ) );
    }// end sanitizeInput()


    // If posting then create account
    if ( $_SERVER['REQUEST_METHOD'] == "POST" ) {
        // Get the user credentials. Assume values are given.
        $loginUsername = sanitizeInput($_POST['usr']);
        $loginPassword = sanitizeInput($_POST['pwd']);
        
        // Hash the password.
        $passwordDigest = password_hash($loginPassword, PASSWORD_BCRYPT);
        
        try {
            $pdo = new PDO('mysql:host=localhost;dbname=bcrypt', 'root', 'root');
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            
            // Insert username and password digest into 'users' table, of the 'bcrypt' database.
            // NOTE: I have provided a users-table.txt file with this example so you can create the
            // 'bcrypt' database and the 'users' table.
            $sql = 'INSERT INTO users ' .
            '  (username, password) ' .
            'VALUES ' .
            "  ('$loginUsername', '$passwordDigest')";
            
            if ( $pdo->exec($sql) ) {
                echo '<p>Your account has been created.</p>',
                '<p><a href="login.php">Login</a></p>';
                $pdo = null;
                die;
            } else {
                die("Sorry, could not create your account.");
            }
        } catch (PDOException $e) {
            die ( $e->getMessage() );
        }    
    }
?>

<!DOCTYPE html>
<html>
<head><title>Create Account</title></head>
<body>
    <h1>Create Account</h1>
    <form action="createAccount.php" method="post">
        <p>
            <label>Username: <input name="usr" autofocus></label>
        </p>
        <p>
            <label>Password: <input name="pwd" type="password"> </label>
        </p>
        <p>
            <input type="submit" value="Create Account">
        </p>
    </form>
</body>
</html>