<?php
    declare(strict_types = 1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');
    

    function sanitizeInput($value) {
        return htmlspecialchars( stripslashes( trim( $value ) ) );
    }// end sanitizeInput()


    // If posting then create account
    if ( $_SERVER['REQUEST_METHOD'] == "POST" ) {
        // Start the server sessions.
        session_start();

        // Get the user credentials. Assume values are given.
        $loginUsername = sanitizeInput($_POST['usr']);
        $loginPassword = sanitizeInput($_POST['pwd']);
        
        try {
            $pdo = new PDO('mysql:host=localhost;dbname=bcrypt', 'root', 'root');
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            
            // Retrieve user from DB and verify against login credentials.
            // Only unique username must be permitted.
            $sql = "
            SELECT username, password
            FROM users
            WHERE username = '$loginUsername'
            ";

            $stm = $pdo->query($sql, PDO::FETCH_ASSOC);

            if ( $stm->rowCount() == 1 ) {
                $pdo = null;
                $userRecord = $stm->fetch();

                // One record has matched, so let's authenticate user. 
                if ( password_verify($loginPassword, $userRecord['password']) ) {
                    // User authenticated.
                    // Time to save user in a seesion variable.
                    $_SESSION['usr'] = $loginUsername;

                    // Now redirect user to the landing page.
                    header('Location: landing.php');
                } else {
                    die("Unable to authenticate.");
                }
            } else {
                die("Sorry, could not verify account.");
            }
        } catch (PDOException $e) {
            die ( $e->getMessage() );
        }    
    }
?>

<!DOCTYPE html>
<html>
<head><title>Login User</title></head>
<body>
    <h1>Login User</h1>
    <form action="login.php" method="POST">
        <p>
            <label>Username: <input name="usr" autofocus></label>
        </p>
        <p>
            <label>Password: <input name="pwd" type="password"></label>
        </p>
        <p>
            <input type="submit" value="Login">
        </p>
    </form>
</body>
</html>