<?php
  // File: bcrypt.php

  // Create a digest of the password 'opensesame' using bcrypt.
  // This step would be used when a user registers and the password is saved in a database.
  $passwordDigest = password_hash('opensesame', PASSWORD_BCRYPT);

  // Verify the password digest created against the given password argument.
  // Here the database password digest is compared to the password attempt to
  // verify the authenticity of the user.
  if ( password_verify('opensesame', $passwordDigest) ) {
    echo '<b>opensesame</b> matched digest';
  }

  // Wrong password was given, so no match, i.e. user did not authenticate.
  if ( !password_verify('openSesame', $passwordDigest) ) {
    echo '<br><b>openSesame</b> did not match digest';
  }
?>
