// File: js/index.js

document.write('View the console for output messages.<br>');
console.info("This is another message");
console.warn("This is a warning");
console.error("This is a error");

const PI = 3.14;

// x is scoped to file or global.
let x = 10;

// y is a constant.
const y = 7;

document.write('x + y = ' + (x + y));

// Uncomment line below to see error message.
// y = 0;

/* This is 
 * multiline comment.
 */

 {
     // here x is scoped within block. Hides global x.
     let x = "hi";
    console.log('Scoped x: ' + x);
}
console.log('Global x: ' + x);


// Use of the Math library functions.
var a = 1;
console.log( Math.floor(a / 2) );


// A JS array, declared using the shortcut syntax.
let names = ["A", "C", "B", "D"];

document.write('<h2>Using arrays</h2>');
document.write('Original: ' + names);

// Push to the end of the array.
names.push("E");
document.write('<h3>Updating the array</h3>');
document.write('After push("E"): ' + names);

// Pop the last element of the array.
names.pop();
document.write('<br>After pop(): ' + names);

// Add E to the front of the array.
names.unshift("E");
document.write('<br>After unshift("E"): ' + names);

// Remove the first element of the array.
names.shift();
document.write('<br>After shift(): ' + names);

// Splicing elements; start at index 0, remove 1 element, and add two.
names.splice(0,1,"E","F");
document.write('<br>After splice(0,1,"E","F"): ' + names);

// Adding an element at index 10. This creates a gap in index sequence. Dangerous.
names[10] = "K";
document.write('<br>After names[10] = "K": ' + names);

// Removing the undefined elements and element at index 10.
names.splice(5,6);
document.write('<br>After splice(5,6) ' + names);

// Sorting ascending.
document.write('<h3>Sorting ascending/descending</h3>');
names.sort();
document.write('After sort(): ' + names);

// Sorting in reverse.
names.reverse();
document.write('<br>After reverse(): ' + names);

// Returning a string representation.
document.write('<h3>Converting to a string</h3>');
document.write('After toString(): ' + names.toString());

// Navigate to index2.php.
document.write('<br><br><a href="index2.php"><button>Navigate to index2.php</button></a>');