// File: js/index2.js

// A JS array, declared using the shortcut syntax.
let names = ["A", "C", "B", "D"];
var globalVar = 'I am a global variable';
let letVar = 'I am a block variable';

document.write('<h2>Original array</h2>');
document.write('names: ' + names);

// Slicing elements from the array.
document.write("<h2>Slicing elements</h2>");
let slicedNames = names.slice(0, 2);
document.write('After slice(0,2):<br>slicedNames: ' + slicedNames + '<br>names: ' + names);

// Accessing global vars through the window object.
document.write("<h2>Using the 'window' object</h2>");
document.write('window.globalVar = ' + window.globalVar);

// Let variables are not added to the 'window' object.
document.write('<br>window.letVar = ' + window.letVar);

// Iterating through an array.
document.write('<h2>Iterating an array</h2>');

// With an index for.
document.write('Using an index for: ');
let len = names.length;
let elements = '[';
for (let i = 0; i < len - 1; i++) {
    elements += names[i] + ',';
}
elements += names[len - 1] + ']';
document.write(elements);

// With a range for. List the index.
document.write('<br>Using a range for (for in): ');
for (let index in names) {
    document.write(index + ' ');
}

// With a range for. List the value.
document.write('<br>Using a range for (for of): ');
for (let e of names) {
    document.write(e + ' ');
}

// With a mapped for. Map a function to each element.
document.write('<br>Using a mapped for (forEach): ');

// Provide the callback function as a parameter. You could
// create a function, e.g. display and pass that as the parameter
// i.e. names.forEach(display);
names.forEach(function (value) {
    document.write(value + ' ');
});
  

// Using function expressions.
let sumInt = function (n1, n2) { return n1 + n2; }
document.write('<h2>Using a function expression/IIFE</h2>');
document.write('sumInt(3, 4) = ' + sumInt(3,4) );
document.write('<br>Function expression in sumInt: ' + sumInt);

// IIFE (Immediately Invoked Function Expression)
(function() { document.write('<br>Welcome to JS from an IIFE'); })();
(function(n1, n2) { document.write('<br>2 + 5 = ' + (n1 + n2)); })(2, 5);

// Navigate to index3.php.
document.write('<br><br><a href="index3.php"><button>Navigate to index3.php</button></a>');