// File: js/index3.js

// Using objects.
// A book object consisting of 4 value properties and 1 method property.
// We will refer to them as properties and methods for clarity.
let book = {
    title: "Outliers",
    published: 2011,
    keywords: ["success", "high-achievers"],
    author: { firstName: "Malcom", lastName: "Gladwell" },

    getAuthorName: function() { return this.author.firstName + ' ' + this.author.lastName; }
};

// Display the book object.
document.write('<h2>The book object as a JSON object</h2>');
document.write(JSON.stringify(book));

// Output some property values.
document.write('<h3>Accessing properties</h3>');
document.write('title: ' + book.title);
document.write('<br>published: ' + book['published']);
document.write('<br>keywords[0]: ' + book.keywords[0]);
document.write('<br>author.lastName: ' + book.author.lastName);

document.write('<h3>Accessing methods</h3>');
document.write('Author name: ' + book.getAuthorName() );

// Add a new method to the book object.
book.getAuthor = function() { return this.author; }
let author = book.getAuthor();
document.write('<br>Author: ' + author.firstName + ' ' + author.lastName);

// Declare a new object, square.
let square = {
    width: 5,
    height: 8,

    get area()           { return this.width * this.height;                  },
    set area(squareArea) { this.width = this.height = Math.sqrt(squareArea); }
};

// Display the square object.
document.write('<h2>The square object as a JSON object</h2>');
document.write(JSON.stringify(square));

document.write('<br>Current area: ' + square.area);
document.write('<br>Updating area to 100');
square.area = 100;
document.write('<br>Updated width: ' + square.width);