
let schedule = {
  CS240_001: { days: ['M', 'W','F'], time: '0800', durationInMinutes: 50, room: 'EB0140' },
  CS240_002: { days: ['M', 'W','F'], time: '1000', durationInMinutes: 50, room: 'EB0140' },
  CS234_002: { days: ['T', 'R'], time: '1400', durationInMinutes: 75, room: 'EB2160' },
  CS234_001: { days: ['T', 'R'], time: '1530', durationInMinutes: 75, room: 'EB1033' },
  O_H_: { days: ['M', 'T', 'W','R', 'F'], time: '1100', durationInMinutes: 60, room: 'EB3040' }
};

// Cycle trough each key.
for (let course in schedule) {
  let courseInfo = schedule[course];

  // Cycle through each value.
  for (let day of courseInfo.days) {
    // Build the 'id' attribute to search for below.
    let id = day + courseInfo.time;

    // Build the text content of the 'td' element.
    let content = course.replace(/_/g, '.') + '\n' +
                  courseInfo.room + '\n' + 
                  courseInfo.durationInMinutes + ' min';

    // Search the DOM tree for the specified id.
    document.getElementById(id).textContent = content;
  }
}