// File: js/index.js

window.addEventListener('load', function() {
  'use strict';

  function validateForm(e) {
    let hexValidationIcon = document.getElementById('hexValidationIcon');
    let rangeNumberValidationIcon = document.getElementById('rangeNumberValidationIcon');
    let usernameValidationIcon = document.getElementById('usernameValidationIcon');
    let productCodeValidationIcon = document.getElementById('productCodeValidationIcon');
    let helpfulValidationIcon = document.getElementById('helpfulValidationIcon');
    let termsValidationIcon = document.getElementById('termsValidationIcon');

    let formValidatedFlag = true;

    // Use regEx to validate each field in turn.
    // hex field
    if ( /^[A-F0-9]+$/i.test(hexText.value) ) {
      hexValidationIcon.classList.remove("w3-text-red", "fa", "fa-close");
      hexValidationIcon.classList.add("w3-text-green", "fa", "fa-check");
    } else {
      formValidatedFlag = false;
      hexValidationIcon.classList.remove("w3-text-green", "fa", "fa-check");
      hexValidationIcon.classList.add("w3-text-red", "fa", "fa-close");
    }

    // rangeNumber field
    if ( /(^[1-9]$)|(^10$)/.test(rangeNumberText.value) ) {
      rangeNumberValidationIcon.classList.remove("w3-text-red", "fa", "fa-close");
      rangeNumberValidationIcon.classList.add("w3-text-green", "fa", "fa-check");
    } else {
      formValidatedFlag = false;
      rangeNumberValidationIcon.classList.remove("w3-text-green", "fa", "fa-check");
      rangeNumberValidationIcon.classList.add("w3-text-red", "fa", "fa-close");
    }

    // username field
    if ( /^\w{6,10}$/.test(usernameText.value) ) {
      usernameValidationIcon.classList.remove("w3-text-red", "fa", "fa-close");
      usernameValidationIcon.classList.add("w3-text-green", "fa", "fa-check");
    } else {
      formValidatedFlag = false;
      usernameValidationIcon.classList.remove("w3-text-green", "fa", "fa-check");
      usernameValidationIcon.classList.add("w3-text-red", "fa", "fa-close");
    }

    // productCode field
    if ( /^[A-Z]{3}\d{3}[A-Z]{3}$/i.test(productCodeText.value) ) {
      productCodeValidationIcon.classList.remove("w3-text-red", "fa", "fa-close");
      productCodeValidationIcon.classList.add("w3-text-green", "fa", "fa-check");
    } else {
      formValidatedFlag = false;
      productCodeValidationIcon.classList.remove("w3-text-green", "fa", "fa-check");
      productCodeValidationIcon.classList.add("w3-text-red", "fa", "fa-close");
    }

    // Helpful field
    if (  helpfulRadios[0].checked || helpfulRadios[1].checked ) {
      helpfulValidationIcon.classList.remove("w3-text-red", "fa", "fa-close");
      helpfulValidationIcon.classList.add("w3-text-green", "fa", "fa-check");
    } else {
      formValidatedFlag = false;
      helpfulValidationIcon.classList.remove("w3-text-green", "fa", "fa-check");
      helpfulValidationIcon.classList.add("w3-text-red", "fa", "fa-close");
    }

    // Terms field
    if (  termsCheckbox.checked ) {
      termsValidationIcon.classList.remove("w3-text-red", "fa", "fa-close");
      termsValidationIcon.classList.add("w3-text-green", "fa", "fa-check");
    } else {
      formValidatedFlag = false;
      termsValidationIcon.classList.remove("w3-text-green", "fa", "fa-check");
      termsValidationIcon.classList.add("w3-text-red", "fa", "fa-close");
    }

    if ( formValidatedFlag === false ) {
      e.preventDefault();
    }
  }


  // Cache the form fields to be validated.
  let form = this.document.getElementById('validationForm');
  let hexText = this.document.getElementById('hexText');
  let rangeNumberText = this.document.getElementById('rangeNumberText');
  let usernameText = this.document.getElementById('usernameText');
  let productCodeText = this.document.getElementById('productCodeText');
  let helpfulRadios = form.querySelectorAll('[type=radio]');
  let termsCheckbox = this.document.getElementById('termsCheckbox');

  // Register the form's submit event
  form.addEventListener('submit', function(e) {
    validateForm(e);
  });
});