// File: js/index.js
window.onload = function() {
  'use strict';

  let monthMap = ['jan', 'feb', 'mar', 'apr', 'may', 'jun', 'jul', 'aug', 'sep', 'oct', 'nov', 'dec'];

  let curMonthIndex = 0;
  let monthTable = document.getElementById('monthTable');
  let prevButton = document.getElementById('prev');
  let nextButton = document.getElementById('next');

  function getMonth() {
    let xhr = new XMLHttpRequest();
    
    xhr.addEventListener('load', function() {
      if (xhr.status === 200) {
        monthTable.innerHTML = xhr.responseText;

        let thNodeList = document.querySelectorAll('th');
        let tdNodeList = document.querySelectorAll('td');

        for(let thNode of thNodeList) { thNode.className = "w3-border w3-right-align"; }
        for(let tdNode of tdNodeList) { tdNode.className = "w3-border w3-right-align"; }
      }
    });

    xhr.open('GET', `calendar/${monthMap[curMonthIndex]}.html`, true);
    xhr.send(null);
  }

  prevButton.addEventListener('click', function() {
    curMonthIndex = (curMonthIndex - 1 + 12) % 12;
    getMonth();
  });

  nextButton.addEventListener('click', function() {
    curMonthIndex = (curMonthIndex + 1) % 12;
    getMonth();
  });

  getMonth();
};