// File: index.js

var whichColumn = 'both';
var lcHeight = 20;
var rcHeight = 20;

// Cache all managed elements.
var column = document.getElementById('column');
var lc = document.getElementById('lc');
var rc = document.getElementById('rc');

var color = document.getElementById('color');
var plus = document.getElementById('plus');
var minus = document.getElementById('minus');

// The following event handlers will change the height and color
// of the chart columns.
color.addEventListener('click', function() {
    // Are we coloring both or one of the columns.
    if (whichColumn == 'both') {
        lc.classList.add('w3-blue');
        rc.classList.add('w3-blue');

    } else if (whichColumn == 'lc') {
        lc.classList.toggle('w3-red');

    } else if (whichColumn == 'rc') {
        rc.classList.toggle('w3-red');
    }
});

lc.addEventListener('click', function() {
    whichColumn = 'lc';
    column.innerText = 'Left';
});

rc.addEventListener('click', function() {
    whichColumn = 'rc';
    column.innerText = 'Right';
});

plus.addEventListener('click', function() {
    // Max height: 200px
    var maxHt = 200;
    var increment = 20;
    
    if (whichColumn == 'both') {
        lcHeight = rcHeight = (lcHeight == maxHt)? maxHt : lcHeight + increment;
        lc.style.height = lcHeight + 'px';
        rc.style.height = rcHeight + 'px';

    } else if (whichColumn == 'lc') {
        lcHeight = (lcHeight == maxHt)? maxHt : lcHeight + increment;
        lc.style.height = lcHeight + 'px';

    } else if (whichColumn == 'rc') {
        rcHeight = (rcHeight == maxHt)? maxHt : rcHeight + increment;
        rc.style.height = rcHeight + 'px';
    }
});

minus.addEventListener('click', function() {
    // Max height: 200px
    var minHt = 20;
    var increment = 20;
    
    if (whichColumn == 'both') {
        lcHeight = rcHeight = (lcHeight == minHt)? minHt : lcHeight - increment;
        lc.style.height = lcHeight + 'px';
        rc.style.height = rcHeight + 'px';

    } else if (whichColumn == 'lc') {
        lcHeight = (lcHeight == minHt)? minHt : lcHeight - increment;
        lc.style.height = lcHeight + 'px';

    } else if (whichColumn == 'rc') {
        rcHeight = (rcHeight == minHt)? minHt : rcHeight - increment;
        rc.style.height = rcHeight + 'px';
    }
});
