// File: /public/javascripts/form.js

$( function() {
    let states = null;
    let stateIndex = -1;

    // Find the 'select' element.
    let $stateSelect = $('#stateSelection');
    let $mottoButton = $('#mottoButton');
    let $mottoHeading = $('#mottoH1');

    
    
    /* Register a 'change' event with the select element.
     * Update capital with each change of state selection.
     */
   $stateSelect.on('change', function() {
       stateIndex = parseInt(this.value);
       $mottoHeading.text('State Motto');
       $('#capitalText').val(states[stateIndex].capital);
    });
    
    /* Register a 'click' event with the button. 
     * Prevent the form from been submitted.
     * Display motto for selected state.
     */
   $mottoButton.on('click', function(e) {
       // Prevent default behavior.
       e.preventDefault();
       
       if ( stateIndex < 0 ) { $stateSelect.focus();                         }
       else                  { $mottoHeading.text(states[stateIndex].motto); } 
    });
    
    // Use Ajax to load the state names.
    function loadStates() {
        $.get('states.php', function(response, status) {
            if (status === 'success') {
                states = response;
                
                for (let index in states) {
                    let state = states[index];

                    $option = $(`<option value="${index}">${state.name}</option>`);
                    $stateSelect.append($option);
                }
            }
        }, 'Json');
    }

    loadStates();
});