<?php
// File: teachingSchedule.php
declare (strict_types=1);
error_reporting(E_ALL);
ini_set('display_errors', '1');

/* Receives the faculty id via the querystring.
 * Reads the faculty records from the teachingSchedule.json and returns the
 * requested teaching schedule as a JSON string.
 */
function sanitize(string $value) : string {
    return htmlspecialchars( stripslashes( trim( $value ) ) );
} 

function getTeachingSchedule(string $instructorName, string $filename) : array {
    /* Read all instructor records from the given filename and return
     * the instructor record as a JSON string.
     */
    $fh = fopen($filename, 'r');
    $teachingSchedulesJSONString = fread( $fh, filesize($filename) );
    fclose($fh);

    // Create a PHP object from the JSON string.
    $teachingScheduleObject = json_decode($teachingSchedulesJSONString);

    // Return the instructor record as an associative array.
    return $teachingScheduleObject->$instructorName;
}

if ($_SERVER['REQUEST_METHOD'] === 'GET') {
    $instructorName = sanitize($_GET['instructor']);
    $instructorSchedule = getTeachingSchedule($instructorName, 'data/teachingSchedule.json');

    // Write the array as a JSON string.
    echo json_encode($instructorSchedule);
}
?>