$( function() {
    // Cache the heading1, two images and two buttons for easy access.
    let $stateHeading = $('#stateH1');
    let $stateImage = $('#stateImage');
    let $stateFlagImage = $('#stateFlagImage');
    let $prevButton = $('#prevButton');
    let $nextButton = $('#nextButton');

    let currentStateIndex = 0;

    // Store state names.
    let stateNames = [
        'alabama', 'alaska', 'arizona', 'arkansas', 'california',
        'colorado', 'connecticut', 'delaware', 'florida', 'georgia',
        'hawaii', 'idaho', 'illinois', 'indiana', 'iowa',
        'kansas', 'kentucky', 'louisiana', 'maine', 'maryland',
        'massachusetts', 'michigan', 'minnesota', 'mississippi', 'missouri',
        'montana', 'nebraska', 'nevada', 'new-hampshire', 'new-jersey',
        'new-mexico', 'new-york', 'north-carolina', 'north-dakota', 'ohio',
        'oklahoma', 'oregon', 'pennsylvania', 'rhode-island', 'south-carolina',
        'south-dakota', 'tennessee', 'texas', 'utah', 'vermont',
        'virginia', 'washington', 'west-virginia', 'wisconsin', 'Wyoming'
    ];

    // Register the button events.
    $prevButton.on('click', function() {
        currentStateIndex = (currentStateIndex - 1 + 50) % 50;
        loadStateInfo();
    });

    $nextButton.on('click', function() {
        currentStateIndex = (currentStateIndex + 1) % 50;
        loadStateInfo();
    });

    function loadStateInfo() {
        let stateName = stateNames[currentStateIndex];
        let stateNameWords = stateName.split('-');
        let stateNameHeading = '';
        
        if (stateNameWords.length > 1) {
            let firstWord = stateNameWords[0].slice(0,1).toUpperCase() + stateNameWords[0].slice(1);
            let secondWord = stateNameWords[1].slice(0,1).toUpperCase() + stateNameWords[1].slice(1);
            stateNameHeading = firstWord + ' ' + secondWord;

        } else {
            stateNameHeading = stateName.slice(0,1).toUpperCase() + stateName.slice(1);
        }

        $stateHeading.text(stateNameHeading);
        
        // Update the state image.
        $stateImage.attr('src', `images/${stateName}.bmp`);

        // Upate the state flag image.
        $stateFlagImage.attr('src', `images/${stateName}-flag.jpg`);
    }
});