// File: js/index.js

// Cache the 'from' and 'to' base radio buttons.
let fromBaseRadio = document.getElementById('decFrom');
let toBaseRadio = document.getElementById('binTo');

// Register the 'click' event with all the 'from' radio buttons.
let fromRadioNodeList = document.querySelectorAll('[id$=From]');

for (let fromRadioNode of fromRadioNodeList) {
  fromRadioNode.addEventListener('click', function() { fromBaseRadio = this; });
}


// Register the 'click' event with all the 'to' radio buttons.
let toRadioNodeList = document.querySelectorAll('[id$=To]');

for (let toRadioNode of toRadioNodeList) {
  toRadioNode.addEventListener('click', function() { toBaseRadio = this; });
}

// Cache the convert button.
let convertButton = document.getElementById('convert');

// Register the 'click' event with th convert button.
convertButton.addEventListener('click', function() {
  let fromInputText = document.getElementById('fromText');
  let toInputText = document.getElementById('toText');

  // Was a 'from' value given?
  let fromInputValue = fromInputText.value;
  if ( fromInputValue == '' ) {
    fromInputText.focus();

  } else {
    let baseMap = { dec: 10, hex: 16, bin: 2 };
    let fromBase = fromBaseRadio.id.toString().slice(0,3);
    let toBase = toBaseRadio.id.toString().slice(0,3);

    fromInputText.value = fromInputValue.toUpperCase();
    toInputText.value = parseInt(fromInputValue, baseMap[fromBase]).toString(baseMap[toBase]).toUpperCase();
  }
});
