<?php
// File: index.php
?>

<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Form-Level JS Validation</title>
    <link href="https://www.w3schools.com/w3css/4/w3.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  </head>

  <body id="index-page">
      <main id="index-main" class="w3-panel">
        <h1 class="w3-khaki w3-center">Form-Level JS Validation</h1>

        <form id="validationForm" action="validate.php" method="POST" class="w3-panel w3-light-gray">
          <p> <!-- Hex value -->
            <label for="hexText">Hex value</label> <i id="hexValidationIcon" class="w3-large"></i>
            <input id="hexText" class="w3-input w3-border" type="text" required placeholder="Hex value" autofocus>
          </p>

          <p> <!-- number in range value -->
            <label for="rangeNumberText">Number [1-10]</label> <i id="rangeNumberValidationIcon" class="w3-large"></i>
            <input id="rangeNumberText" class="w3-input w3-border" type="text" required placeholder="Integral number">
          </p>
          
          <p> <!-- username value -->
            <label for="usernameText">Username [6-10] chars</label> <i id="usernameValidationIcon" class="w3-large"></i>
            <input id="usernameText" class="w3-input w3-border" type="text" required placeholder="Username">
          </p>
          
          <p><!-- product value -->
            <label for="productCodeText">Product code[AAAnnnAAA]</label> <i id="productCodeValidationIcon" class="w3-large"></i>
            <input id="productCodeText" class="w3-input w3-border" type="text" required placeholder="Product code">
          </p>
          
          <p><!-- Helpful radio buttons checked -->
            <label class="w3-margin-right">Is this helpful?</label>
            <label>Yes </label><input id="yesHelpfulRadio" class="w3-radio" type="radio" name="helpfulRadio">
            <label>No </label><input id="noHelpfulRadio" class="w3-radio" type="radio" name="helpfulRadio"> <i id="helpfulValidationIcon" class="w3-large"></i>
          </p>
          
          <p><!-- Terms checkbox checked -->
            <label >I have read the terms of agreement</label>
            <input id="termsCheckbox" class="w3-check" type="checkbox"> <i id="termsValidationIcon" class="w3-large"></i>
          </p>
          
          <p><!-- Validate button -->
            <button id="validateButton" class="w3-button w3-green w3-block" type="submit">Validate</button>
          </p>
        </form>
      </main>

      <footer class="w3-panel w3-center w3-text-gray w3-small">
        &copy; 2019 Socratis Tornaritis.
      </footer>

      <script src="js/index.js"></script>
    </div>
  </body>
</html>