// File: js/index.js

$( function() {
  'use strict';

  let monthMap = ['jan', 'feb', 'mar', 'apr', 'may', 'jun', 'jul', 'aug', 'sep', 'oct', 'nov', 'dec'];

  let curMonthIndex = 0;
  let $monthTable = $('#monthTable');
  let $prevButton = $('#prev');
  let $nextButton = $('#next'); 

  function getMonth() {
    $monthTable.load(`calendar/${monthMap[curMonthIndex]}.html`, function(statusText) {
      // Since we want to style the th and td elements, we have to wait for the content to be 
      // loaded, thus the callback function.
      if (statusText === 'success') {
        $('th,td').addClass("w3-border w3-right-align");
      }
    });
  }
  
  $prevButton.on('click', function() {
    curMonthIndex = (curMonthIndex - 1 + 12) % 12;
    getMonth();
  });

  $nextButton.on('click', function() {
    curMonthIndex = (curMonthIndex + 1) % 12;
    getMonth();
  });

  getMonth();
});