// File: js/index.js

$( function() {
  'use strict';

  // let monthMap = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];

  let curMonthIndex = 0;
  let $monthTable = $('#monthTable');
  let $prevButton = $('#prev');
  let $nextButton = $('#next');

  function getMonth() {
    $.getJSON('calendar/calendar.json', function(calendar) {
      // calendar is the js object representing the yearly calendar.

      // Need to extrace the <caption>, <thead> and <tbody> components.
      let currentMonth = calendar.month[curMonthIndex];
      let tableContentHTML = currentMonth.caption;
      tableContentHTML += currentMonth.thead;
      tableContentHTML += currentMonth.tbody;

      $monthTable.html(tableContentHTML);
      $('th,td').addClass("w3-border w3-right-align");
    });
  }
  

  $prevButton.on('click', function() {
    curMonthIndex = (curMonthIndex - 1 + 2) % 2;
    getMonth();
  });

  $nextButton.on('click', function() {
    curMonthIndex = (curMonthIndex + 1) % 2;
    getMonth();
  });

  getMonth();
});