<?php
  declare(strict_types=1);
  error_reporting(E_ALL);
  ini_set('display_errors', '1');

  function buildDBListItems(string $listHeader, PDO $pdo) {
    $listItems = '';
    $sql = "SHOW DATABASES";
    $dbList = $pdo->query($sql)->fetchAll(PDO::FETCH_ASSOC);
    
    foreach($dbList as $db) {
      $listItems .= "<li>{$db['Database']}</li>";
    }

    echo "
      <h1>$listHeader</h1>
      <ol>$listItems</ol>
    ";
  }

  function buildTableListItems(string $listHeader, PDO $pdo, string $dbName) {
    $listItems = '';
    $sql = "SHOW TABLES FROM $dbName";
    $tableList = $pdo->query($sql)->fetchAll(PDO::FETCH_ASSOC);

    foreach($tableList as $table) {
      $listItems .= "<li>{$table['Tables_in_' . $dbName]}</li>";
    }

    echo "
      <h1>$listHeader</h1>
      <ol>$listItems</ol>
    ";
  }

  function buildDataListItems(string $listHeader, PDO $pdo, string $dbName, string $tableName) {
    $listItems = '';
    $sql = "SELECT * FROM $dbName.$tableName";
    $dataList = $pdo->query($sql)->fetchAll(PDO::FETCH_ASSOC);
    $listItem = '';

    foreach($dataList as $record) {
      foreach($record as $data) {
        $listItem .= "$data,";
      }
      $listItem = rtrim($listItem, ',');
      $listItems .= "<li>$listItem</li>";
      $listItem = '';
    }

    echo "
      <h1>$listHeader</h1>
      <ol>$listItems</ol>
    ";
  }

  $isDBSet = isset($_GET['db']);
  $isTableSet = isset($_GET['table']);

  $dbName = $isDBSet? htmlspecialchars(stripslashes(trim($_GET['db']))): '';
  $tableName = $isTableSet? htmlspecialchars(stripslashes(trim($_GET['table']))): '';
  
  // File: show.php
  try {
    $dsn = 'mysql:host=localhost';
    $pdo = new PDO($dsn, 'root', 'root');
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    

  if ( $isTableSet) {
    buildDataListItems("List of records in $tableName:", $pdo, $dbName, $tableName);

  } else if ( $isDBSet ) {
      buildTableListItems("List of tables in $dbName:", $pdo, $dbName);

  } else {
      buildDBListItems('List of databases:', $pdo);
    }

    $pdo = null;
  } catch(PDOException $e) {
    die( $e->getMessage() );
  }
?>
