  <!-- File: form-basic-draft-1.php
     Author: Socratis Tornaritis 
     
     Note: This draft shows the basic set-up for a form and its handler.
     No validation/sanitation is performed, but rather the non-empty values entered
     are echoed to the screen upon submission of the form. -->

<!DOCTYPE html>
<html>
    <head>
        <title>Form Basics Demo</title>
        <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="https://www.w3schools.com/w3css/4/w3.css" rel="stylesheet">
    </head>

    <body class="w3-container w3-margin-left">
        <form action="form-basic-draft-1-handler.php" method="POST">
            <h1>A Basic Form</h1>

            <!-- The 'required' parameter is a simple client-side validation. -->
            <p>
                <input name="fname" placeholder="First name" required>
                <span> *</span>
            </p>
            <p>
                <input name="lname" placeholder="Last name" required>
                <span> *</span>
            </p>

            <p>
                <!-- The first option is selected by default, thus 'selected' is redundant. -->
                <label>Year in school:</label>
                <select name="yearInSchool">
                    <option value="Fr" selected>Freshman</option>
                    <option value="So" >Sophomore</option>
                    <option value="Jr">Junior</option>
                    <option value="Sr">Senior</option>
                </select>
                <span> *</span>
            </p>
            <p>
                <label>CS program:</label>
                <span> *</span>
                <br><input type="radio" name="csProgram" value="BS"> BS
                <br><input type="radio" name="csProgram" value="BA"> BA
            </p>
            <p>
                <label>Clubs:</label>
                <br><input type="checkbox" name="clubs[]" value="CAOS"> CAOS
                <br><input type="checkbox" name="clubs[]" value="ARC"> ARC
                <br><input type="checkbox" name="clubs[]" value="WICSCE"> WICSCE
            </p>
            <p><button name="submit">Submit</button><p>
        </form>

        <footer>Copyright &copy;  2018 Socratis Tornaritis. All rights reserved.</footer>
    </body>
</html>

