<?php
    // File: form-basic-draft-2-handler.php
    
    declare(strict_types = 1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');

    // Get the form field values. Trim and sanitize them first.
    $fname = htmlspecialchars( trim($_POST['fname']) );
    $lname = htmlspecialchars( trim($_POST['lname']) );
    $yearInSchool = htmlspecialchars( trim($_POST['yearInSchool']) );
    $csProgram = isset($_POST['csProgram'])? htmlspecialchars( trim($_POST['csProgram']) ) : '';
   
    $isFnameEmpty = empty($fname);
    $isLnameEmpty = empty($lname);
    $isYearInSchoolEmpty = empty($yearInSchool);
    $isCsProgramEmpty = empty($csProgram);

    $fnameClass = $isFnameEmpty? 'w3-text-red' : 'w3-text-black';
    $lnameClass = $isLnameEmpty? 'w3-text-red' : 'w3-text-black';
    $yearInSchoolClass = $isYearInSchoolEmpty? 'w3-text-red' : 'w3-text-black';
    $csProgramClass = $isCsProgramEmpty? 'w3-text-red' : 'w3-text-black';

    $hasFormEmptyFields =  $isFnameEmpty || $isLnameEmpty || $isYearInSchoolEmpty || $isCsProgramEmpty;

    $clubs = '';
    if ( $hasFormEmptyFields ) {
        // Send them back to fill the form.
        include 'form-basic-draft-2.php';

    } else {
        // Handle the form by displaying their choices.
        if ( isset($_POST['clubs']) ) {
            foreach($_POST['clubs'] as $club) {
                $clubs .= "<br>$club";
            }
        } else {
            $clubs = 'None';
        }
        
        echo "<h1>Entered values:</h1>",
            "<p>Name (last, first): $lname, $fname</p>",
            "<p>Year in school: $yearInSchool</p>",
            "<p>CS program: $csProgram</p>",
            "<p>Clubs: $clubs</p>";
    }
?>