<?php
    /*   File: form-basic.php
     * Author: Socratis Tornaritis 
     *
     * Note: This final version validates/sanitizes and remembers.
     * 
     * The form is displayed empty with the 'GET', each time there are
     * empty fields with a 'POST'. Once the form is properly filled in,
     * it moves on to the confirm.php page.
     */
    $curYear = date('Y');
    include 'inc.form-postback.php';
?>

<!DOCTYPE html>
<html>
    <head>
        <title>Form Basics Demo</title>
        <meta charset="utf-8" 
              name="viewport" 
              content="width=device-width, initial-scale=1.0">

        <link href="https://www.w3schools.com/w3css/4/w3.css" 
              rel="stylesheet">
    </head>

    <body class="w3-container w3-margin-left">

        <form action="<?php echo $phpScript; ?>" 
              method="POST">
            <h1>A Basic Form</h1>

            <!-- The 'required' parameter is a simple client-side validation.
                 The 'value' attribute make this field sticky.
                 The 'span' reflects the empty status of the field. -->
            <p>
                <input name="fname" 
                       placeholder="First name" 
                       value="<?php echo $fname; ?>" 
                       required>
                <span class="w3-text-red"> * <?php echo $fnameError?></span>
            </p>
            <p>
                <input name="lname" 
                       placeholder="Last name" 
                       value="<?php echo $lname; ?>" 
                       required>
                <span class="w3-text-red"> * <?php echo $lnameError?></span>
            </p>

            <p>
                <label>Year in school:</label>
                <select name="yearInSchool">
                    <option selected 
                            disabled>Make a selection</option>
                    <option value="Fr" <?php echo selectedStatus($yearInSchool, 'Fr'); ?>>Freshman</option>
                    <option value="So" <?php echo selectedStatus($yearInSchool, 'So'); ?>>Sophomore</option>
                    <option value="Jr" <?php echo selectedStatus($yearInSchool, 'Jr'); ?>>Junior</option>
                    <option value="Sr" <?php echo selectedStatus($yearInSchool, 'Sr'); ?>>Senior</option>
                </select>
                <span class="w3-text-red"> * <?php echo $yearInSchoolError?></span>
            </p>
            <p>
                <label>CS program:</label>
                <span class="w3-text-red"> * <?php echo $csProgramError?></span>
                <br><input type="radio" 
                           name="csProgram" 
                           value="BS" <?php echo radioStatus($csProgram, 'BS'); ?>> BS
                <br><input type="radio" 
                           name="csProgram" 
                           value="BA" <?php echo radioStatus($csProgram, 'BA'); ?>> BA
            </p>
            <p>
                <label>Clubs:</label>
                <br><input type="checkbox"
                           name="clubs[]" 
                           value="CAOS" <?php echo checkedStatus($clubs, 'CAOS'); ?>> CAOS
                <br><input type="checkbox" 
                           name="clubs[]" 
                           value="ARC" <?php echo checkedStatus($clubs, 'ARC'); ?>> ARC
                <br><input type="checkbox" 
                           name="clubs[]" 
                           value="WICSCE" <?php echo checkedStatus($clubs, 'WICSCE'); ?>> WICSCE
            </p>
            <p>
                <button name="submit">Submit</button>
            <p>
        </form>

        <footer>&copy; 2014-<?php echo $curYear; ?> Socratis Tornaritis. </footer>
    </body>
</html>