<?php
    declare(strict_types = 1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');

    
    
    function sanitizeInput($data) {
        return trim( stripslashes( htmlspecialchars($data) ) );
    }
    
    function selectedStatus($yearInSchool, $value) {
        // Determine which option was selected.
        // Return 'selected' or '' based on $value.
        return ($yearInSchool === $value)? 'selected' : '';
    }
    
    
    function radioStatus($csProgram, $value) {
        // Determine which radio button was chosen.
        // Return 'checked' or '' based on $value.
        return ($csProgram === $value)? 'checked' : '';
    }
    
    function checkedStatus($clubs, $value) {
        // Determine which checkbox was checked.
        // Return 'checked' or '' based on $value.
        return in_array($value, $clubs)? 'checked' : '';
    }
    
    $fname = $lname = $yearInSchool = $csProgram = '';
    $clubs = [];
    $fnameError = $lnameError = $yearInSchoolError = $csProgramError = '';
    $phpScript = sanitizeInput($_SERVER['PHP_SELF']);
    
    if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {
        // Get the form field values. Trim and sanitize them first.
        $fname = sanitizeInput($_POST['fname']);
        $lname = sanitizeInput($_POST['lname']);
       
        // Make sure these were set to begin with, else initialize them accordingly.
        $yearInSchool = isset($_POST['yearInSchool'])? sanitizeInput($_POST['yearInSchool']) : '';
        $csProgram = isset($_POST['csProgram'])? sanitizeInput($_POST['csProgram']) : '';
        $clubs = isset($_POST['clubs'])? $_POST['clubs'] : [];

        $isFnameEmpty = empty($fname);
        $isLnameEmpty = empty($lname);
        $isYearInSchoolEmpty = empty($yearInSchool);
        $isCsProgramEmpty = empty($csProgram);

        // Update the error messages based on the empty status of each field.
        $fnameError = $isFnameEmpty? 'Value required' : '';
        $lnameError = $isLnameEmpty? 'Value required' : '';
        $yearInSchoolError = $isYearInSchoolEmpty? 'Value required' : '';
        $csProgramError = $isCsProgramEmpty? 'Value required' : '';

        $hasFormEmptyFields =  $isFnameEmpty || 
                               $isLnameEmpty || 
                               $isYearInSchoolEmpty || 
                               $isCsProgramEmpty;

        if ( !$hasFormEmptyFields ) {
            // Redirect to the new page with an appropriate query string containing
            // the message.
            header('Location: welcome.php?welcomeMessage=Welcome+to+my+site+folks');
        }
    }

?>