<?php
    // File: studentList.php
    
    declare(strict_types = 1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');
    
    include 'inc.header.php';
    
    function studentList(PDOStatement $pdoStatement) : string {
        
        $table = '
            <table class="w3-table-all w3-hoverable w3-margin-top">
                <tr class="w3-red">
                    <th>sid</th>
                    <th>First</th>
                    <th>Last</th>
                    <th>Email</th>
                </tr>
        ';

        // Fetch each row as an associative array.
        while ( $row = $pdoStatement->fetch() ) {
            $id = $row['id'];
            $sid = $row['sid'];
            $first = $row['first'];
            $last = $row['last'];
            $email = $row['email'];

            $table .= "
                <tr>
                <td><a href='recordStudent.php?id=$id'>$sid</a></td>
                <td>$first</td>
                <td>$last</td>
                <td>$email</td>
                </tr>
            ";
        }
        
        $table .= "</table>";
        return $table;
    }// end studentList()
    

    
    try {
        // Include the db connection string.
        require 'inc.db.php';

        // Connect to the db.
        $pdo = new PDO(DSN, USER, PWD);
        
        // Configure the error handling.
        $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        // Create the query.
        $sql = '
            SELECT id, sid, first, last, email
            FROM student
            ORDER BY last, first
        ';

        // Execute the query.
        $pdoStatement = $pdo->query($sql);

        // Display the records in a table.
        echo studentList($pdoStatement);

        // Disconnect from the db.
        $pdo = null;

    } catch(PDOException $e) {
        die ($e->getMessage() );
    }

    include 'inc.footer.php';
?>



