<?php
    // File: recordStudent.php

    declare(strict_types = 1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');

    $curYear = date('Y');
    $id = sanitizeInput($_GET['id']);

    function sanitizeInput($value) {
        return htmlspecialchars( stripslashes( trim($value) ) );
    }

    function buildStudentCard($id) {
        $studentRecord = getStudentRecord($id);
        $studentName = $studentRecord['name'];
        $sid = $studentRecord['sid'];
        $email = $studentRecord['email'];

        // Build a card and show the student record.
        $card = "
            <div class='w3-card-4' style='width:40%'>
                <header class='w3-container w3-light-grey'>
                    <h2>$studentName</h2>
                </header>
                <div class='w3-container'>
                    <p>Sid: $sid</p>
                    <p>Email: $email</p>
                </div>
                <a href='listStudent.php' class='w3-button w3-block w3-dark-grey'>Ok</a>
            </div>
        ";

        return $card;
    }

    function getStudentRecord($id) {
        try {
            require 'inc.db.php';

            $pdo = new PDO(DSN, USER, PWD);
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

            $sql = "
                SELECT id, sid, CONCAT(first, ' ', last) AS name, email
                FROM student
                WHERE id = $id
            ";

            $row = $pdo->query($sql)->fetch();
            $pdo = null;
            return $row;

        } catch(PDOException $e) {
            die ($e->getMessage() );
        }
    }
?>

<!DOCTYPE html>
<html>
<head>
    <title>PHP-MySQL Demo</title>
    <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
</head>
<body class="w3-panel">
    <?php echo buildStudentCard($id); ?>

    <footer class="w3-panel w3-center w3-text-grey w3-small">
        &copy; 2014-<?php echo $curYear; ?> Socratis Tornaritis.
    </footer>
</body>