<?php
    // File: listCourse.php

    declare(strict_types = 1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');

    include 'inc.header.php';

    function courseList(PDOStatement $pdoStatement) : string {
        // Build the html with a table of student records.
        $table = '
            <table class="w3-table-all w3-hoverable w3-margin-top">
                <tr class="w3-red">
                    <th>Number</th>
                    <th>Title</th>
                    <th>Hours</th>
                </tr>
        ';

        // Fetch each row as an associative array.
        while ( $row = $pdoStatement->fetch() ) {
            $id = $row['id'];
            $number = $row['number'];
            $title = $row['title'];
            $hours = $row['hours'];

            $table .= "
                <tr>
                <td><a href='studentsInCourse.php?id=$id'>$number</a></td>
                <td>$title</td>
                <td>$hours</td>
                </tr>
            ";
        }
        
        $table .= "</table>";
        return $table;
    }// end courseList()
    
    try {
        // Include the db connection string.
        require 'inc.db.php';

        // Connect to the db.
        $pdo = new PDO(DSN, USER, PWD);
        
        // Configure the error handling.
        $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        // Create the query.
        $sql = '
            SELECT id, number, title, hours
            FROM course
            ORDER BY number
        ';

        // Execute the query.
        $pdoStatement = $pdo->query($sql);

        // Display the records in a table.
        echo courseList($pdoStatement);

        // Disconnect from the db.
        $pdo = null;
        
    } catch(PDOException $e) {
        die ($e->getMessage() );
    }

    include 'inc.footer.php';
?>