<?php
    // File: addStudentForm.php
    declare(strict_types=1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');


    $number = $title = $hours= $formError = '';
    $phpScript = sanitizeInput($_SERVER['PHP_SELF']);


    function sanitizeInput($value) {
        return trim( stripslashes( htmlspecialchars($value) ) );
    }// end sanitizeInput()


    function saveCourseRecord($number, $title, $hours) {
        try {
            require_once 'inc.db.php';

            // Connect to the database
            $pdo = new PDO(DSN, USER, PWD);
            
            // Configure error handling
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            
            // Create the query
            $sql = "
                INSERT INTO course
                  (number, title, hours)
                VALUES 
                  ('$number', '$title', $hours)
            ";

            // Execute the query.
            $result = $pdo->exec($sql);

            // Disconnect from the db.
            $pdo = null;
            return true;

        } catch (PDOException $e) {
           return false;
        }
    }// end saveCourseRecord()


    if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

        // Get the form field values. Trim and sanitize them first.
        $number = sanitizeInput($_POST['number']);
        $title = sanitizeInput($_POST['title']);
        $hours = sanitizeInput($_POST['hours']);

        $isNumberEmpty = empty($number);
        $isTitleEmpty = empty($title);
        $isHoursEmpty = empty($hours);
    
        $hasFormEmptyFields =  $isNumberEmpty || $isTitleEmpty || $isHoursEmpty;

        if ( !$hasFormEmptyFields ) {
            // Update the database with the new student record
            if ( saveCourseRecord($number, $title, $hours) ) {
                // Show confirmation message
                header('Location: addConfirm.php?record=course');

            } else {
                $formError = "Oops, saving error occurred.";
            }

        } else {
            $formError = "Please fill out all the fields";
        }
    }
?>

<?php include 'inc.header.php'; ?>

<div class="w3-card w3-light-grey">
    <header class="w3-container w3-red w3-margin-top">
        <h1>Add Course Form</h1>
    </header>

    <form action="<?php echo $phpScript; ?>" method="POST" class="w3-container">
    <p> <!-- number -->
        <label for="number" class="w3-text-grey">Number</label>
        <span class="w3-text-red"> *</span>
        <input id="number" class="w3-input w3-border" accesskey="N"
               name="number" placeholder="Number" required autofocus
               value="<?php echo $number; ?>"></p>
    <p> <!-- title -->
        <label for="title" class="w3-text-grey">Title</label>
        <span class="w3-text-red"> *</span>
        <input id="title" class="w3-input w3-border" accesskey="T"
               name="title" placeholder="Title" required
               value="<?php echo $title; ?>"></p>
    <p> <!-- hours -->
        <label for="hours" class="w3-text-grey">Hours</label>
        <span class="w3-text-red"> *</span>
        <input id="hours" class="w3-input w3-border" accesskey="H"
               name="hours" placeholder="Hours" required
               value="<?php echo $hours; ?>"></p>
    <p> <!-- Save -->
        <button name="submit" class="w3-btn w3-red">Save</button> 
        <span class="w3-text-red"><?php echo $formError; ?></span>
    <p>
</form>
</div>

<?php include 'inc.footer.php'; ?>