<?php
    // File: updateCourseForm.php

    declare(strict_types=1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');

    $number = $title = $hours = $formError = '';
    $phpScript = sanitizeInput($_SERVER['PHP_SELF']);
    
    function sanitizeInput($data) {
        return htmlspecialchars( stripslashes( trim( $data) ) );
    }// end sanitizeInput()
    
    function loadCourseRecord($id) {
        try {
            require 'inc.db.php';
            
            // Connect to the database
            $pdo = new PDO(DSN, USER, PWD);
            
            // Configure error handling
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            
            // Create the query
            $sql = "
                SELECT id, number, title, hours
                FROM course
                WHERE id=$id
            ";
            
            // Execute the query.
            $pdoStatement = $pdo->query($sql);
            $pdo = null;
            
            return $pdoStatement->fetch();
            
        } catch (PDOException $e) {
            die ( $e->getMessage() );
        }
    }// end loadStudentReords()

    function saveCourseRecord($id, $number, $title, $hours) {
        try {
            require 'inc.db.php';
            
            // Connect to the database
            $pdo = new PDO(DSN, USER, PWD);
            
            // Configure error handling
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            
            // Create the query
            $sql = "
                UPDATE course SET
                number='$number',
                title='$title',
                hours=$hours
                WHERE id=$id
            ";
            
            // Execute the query.
            $result = $pdo->exec($sql);
            $pdo = null;
            
            return $result;

        } catch (PDOException $e) {
            die ( $e->getMessage() );
        }
    }// end saveStudentRecord()

    /* ----------------------------------------------------------------------------------------- */
    if ( $_SERVER['REQUEST_METHOD'] == 'GET' ) {
        
        $id = sanitizeInput($_GET['id']);
        $record = loadCourseRecord($id);

        $number = $record['number'];
        $title = $record['title'];
        $hours = $record['hours'];

    } else {
        
        // Get the form field values. Trim and sanitize them first.
        $id = sanitizeInput($_POST['submit']);
        $number = sanitizeInput($_POST['number']);
        $title = sanitizeInput($_POST['title']);
        $hours = sanitizeInput($_POST['hours']);

        if ( $id == 0 ) {
            // Update is being canceled.
            header("Location: listCourseForm.php?rec=0");

        } else {
            // Updates are being saved.
            $isNumberEmpty = empty($number);
            $isTitleEmpty = empty($title);
            $isHoursEmpty = empty($hours);
                        
            $hasFormEmptyFields =  $isNumberEmpty || $isTitleEmpty || $isHoursEmpty;
            
            if ( !$hasFormEmptyFields ) {
                // First, we must save the changes to the DB.
                saveCourseRecord($id, $number, $title, $hours);
                header("Location: editConfirm.php?record=course&recId=$id&editMode=update");
                
            } else {
                $formError = "Please fill out all the fields";
            }
        }
    } 
?>

<?php include 'inc.header.php'; ?>

<div class="w3-card w3-light-grey">
    <header class="w3-container w3-red w3-margin-top">
        <h1>Update Course Form</h1>
    </header>

    <form action="<?php echo $phpScript; ?>" method="POST">
        <div class="w3-container">
            <p> <!-- number -->
                <label for="number" class="w3-text-grey">Number</label>
                <span class="w3-text-red"> *</span>
                <input id="number" class="w3-input w3-border" accesskey="N" name="number" placeholder="number" value="<?php echo $number; ?>" required>
            </p>
            <p> <!-- title -->
                <label for="title" class="w3-text-grey">Title</label>
                <span class="w3-text-red"> *</span>
                <input id="title" class="w3-input w3-border" accesskey="T" name="title" placeholder="Course title" value="<?php echo $title ?>" required>
            </p>
            <p> <!-- hours -->
                <label for="hours" class="w3-text-grey">Hours</label>
                <span class="w3-text-red"> *</span>
                <input id="hours" class="w3-input w3-border" accesskey="H" name="hours" placeholder="Credit Hours" value="<?php echo $hours; ?>" required>
            </p>
        </div>

        <!-- Edit buttons -->
        <div class="w3-container w3-center">
            <p>
                <button name="submit" 
                        value=<?php echo $id; ?> 
                        class="w3-button w3-green">Save</button>
                <button name="submit" 
                        value=0 
                        class="w3-button w3-red">Cancel</button>
            </p> 
        </div>
    </form>
</div>
       
<?php include 'inc.footer.php'; ?>